PrefabFiles = {
	"ni",
}
Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ni.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ni.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/ni.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ni.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/ni_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ni_silho.xml" ),
    Asset( "IMAGE", "bigportraits/ni.tex" ),
    Asset( "ATLAS", "bigportraits/ni.xml" ),	
	Asset("IMAGE", "images/ni.tex"),
    Asset("ATLAS", "images/ni.xml"),	
	Asset( "IMAGE", "images/avatars/avatar_ni.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ni.xml" ),	
	Asset( "IMAGE", "images/avatars/avatar_ghost_ni.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_ni.xml" ),


}
AddMinimapAtlas("images/ni.xml")

local COOK = GLOBAL.ACTIONS.COOK
local old_cook_fn = COOK.fn

COOK.fn = function(act, ...)
    local result = old_cook_fn(act)
    local stewer = act.target.components.stewer
    if result and stewer ~= nil and act.doer.prefab == "ni" then
        local fn = stewer.task.fn
        stewer.task:Cancel()
        fn(act.target, stewer)
    end
end

AddPrefabPostInit("cookpot", function(inst)
    if inst.components.stewer == nil then
        return
    end
    -- using the same harvest logic and repeat the item giving step once
    local old_harvest = inst.components.stewer.Harvest
    inst.components.stewer.Harvest = function(self, harvester)
        if harvester and harvester.prefab == "ni" then
            if self.done and self.product and harvester.components.inventory then
                local loot = GLOBAL.SpawnPrefab(self.product)
                if loot ~= nil then
                    if self.spoiltime ~= nil and loot.components.perishable ~= nil then
                        local spoilpercent = self:GetTimeToSpoil() / self.spoiltime
                        loot.components.perishable:SetPercent(self.product_spoilage * spoilpercent)
                        loot.components.perishable:StartPerishing()
                    end
                    harvester.components.inventory:GiveItem(loot, nil, self.inst:GetPosition())
                end
            end
        end
        return old_harvest(self, harvester)
    end
end)

GLOBAL.STRINGS.CHARACTER_TITLES.ni = "矢泽妮可"
GLOBAL.STRINGS.CHARACTER_NAMES.ni = "矢泽妮可"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ni = " 烹饪无时间限制. \n 烹饪收获双倍 \n LOVEIVE女神团的一员"
GLOBAL.STRINGS.CHARACTER_QUOTES.ni = "\"妮可~妮可~妮!\""
local require = GLOBAL.require 
local STRINGS = GLOBAL.STRINGS

-- The character's name as appears in-game 
STRINGS.NAMES.NI = "妮可"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.NI = 
{
	GENERIC = "这是妮可!",
	ATTACKER = "妮可看起来很酷...",
	MURDERER = "凶手!",
	REVIVER = "妮可,鬼朋友.",
	GHOST = "妮可可以用一个心脏.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "ni")
--
---
------====================================
------====================================
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.NI = "lovelive学院偶像妮可. "
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.NI = "lovelive学院偶像妮可. "
------====================================
------====================================
---
--



STRINGS.CHARACTERS.NI=require "speech_ni"
GLOBAL.STRINGS.NAMES.NI = "妮可"
AddModCharacter("ni", "FEMALE")